from django.db import models





# Create your models here.
class Contact(models.Model):
    name = models.CharField('Nom', max_length=200)
    email = models.EmailField('Email')
    subject = models.CharField('Sujet', max_length=350) 
    message = models.TextField('Message', max_length=2500) 
    date_created = models.DateField(verbose_name="Created on date", auto_now_add="True")

    class Meta: 
     verbose_name_plural = "Gestion des Contacts"

    def __str__(self):
        return self.email
    
class Newsletter(models.Model):
    email = models.EmailField('Email')
    statut = models.CharField('Statut', max_length=2)
    
    class Meta: 
     verbose_name_plural = "Newsletter"

    def __str__(self):
        return self.email
    
class ActualitesHSN(models.Model):
    objet = models.CharField('Sujet', max_length=350)
    
    image = models.ImageField(upload_to='images/actualites', height_field=None, width_field=None, max_length=100 )
    information = models.TextField('Information', max_length=2500) 
    class Meta: 
     verbose_name_plural = "Gestion des actualités de HSN"

    def __str__(self):
        return self.objet
    
class SlideAccueil(models.Model):
    slides = models.ImageField(upload_to='images/slides/', height_field=None, width_field=None, max_length=100 )
    TYPE_SELECT = (
        ('1', 'Afficher en premier'),
        ('2', 'Afficher en deuxième'),
        ('3', 'Afficher en troisième'),
    )
    rang = models.CharField(max_length=11,choices=TYPE_SELECT)
    
    class Meta: 
     verbose_name_plural = "Gestion des slides de Accueil"

    def __str__(self):
        return self.rang
    
class CabinetImage(models.Model):
    image = models.ImageField(upload_to='images/cabinet', height_field=None, width_field=None, max_length=100 )
    description = models.CharField('Description', max_length=3500, null= True) 
    class Meta: 
     verbose_name_plural = "Gestion des images de Cabinet"
     def __str__(self):
            return self.description
  
              
class FormationImage(models.Model):
    image = models.ImageField(upload_to='images/formation', height_field=None, width_field=None, max_length=100 )
    description = models.CharField('Description', max_length=3500, null=True)
    class Meta: 
     verbose_name_plural = "Gestion des images de Formation"
     
class PhotogrammetrieImage(models.Model):
    image = models.ImageField(upload_to='images/Photogram', height_field=None, width_field=None, max_length=100 )
    description = models.CharField('Description', max_length=2500, null=True)
    class Meta: 
     verbose_name_plural = "Gestion des images de Photogrammétrie"
     
class ElaborationImage(models.Model):
    image = models.ImageField(upload_to='images/elabo', height_field=None, width_field=None, max_length=100 )
    description = models.CharField('Description', max_length=3500, null=True)
    
    class Meta: 
     verbose_name_plural = "Gestion des images de Elaboration"
    
     
class TopoImage(models.Model):
    image = models.ImageField(upload_to='images/Topo', height_field=None, width_field=None, max_length=100 )
    proverbe = models.CharField('Proverbe', max_length=2500, null=True)
    description = models.CharField('Description', max_length=2500, null=True)
    class Meta: 
     verbose_name_plural = "Gestion des images de Topographie et Cartographie-SIG"
     
class AvantFormation(models.Model):
    icon = models.CharField('Icon', max_length=200)
    titre = models.CharField('Titre', max_length=200)
    image = models.ImageField(upload_to='images/Avant_Formation', height_field=None, width_field=None, max_length=100 )
    
    class Meta: 
     verbose_name_plural = "Gestion des images de avant Formation"
     
class PendantFormation(models.Model):
    icon = models.CharField('Icon', max_length=200)
    titre = models.CharField('Titre', max_length=200)
    image = models.ImageField(upload_to='images/Pendant_Formation', height_field=None, width_field=None, max_length=100 )
    texte1 = models.CharField('Texte 1', max_length=1500, null= True)
    texte2 = models.CharField('Texte 2', max_length=1500, null= True)
    texte3 = models.CharField('Texte 3', max_length=1500, null= True)
    texte4 = models.CharField('Texte 4', max_length=1500, null= True)
    texte5 = models.CharField('Texte 5', max_length=1500, null= True)
    texte6 = models.CharField('Texte 6', max_length=1500, null= True)
    
    class Meta: 
     verbose_name_plural = "Gestion des images de pendant Formation"

class BesoinAvantFormation(models.Model):
    icon = models.CharField('Icon', max_length=20)
    texte = models.CharField('Texte', max_length=1500)
    TYPE_SELECT = (
        ('1', '1'),
        ('2', '2'),
        ('3', '3'),
        ('4', '4'),
        ('5', '5'),
        ('6', '6'),
        ('7', '7'),
        ('8', '8'),
        ('9', '9'),
        ('10', '10'),
    ) 
    rang = models.CharField(max_length=100,choices=TYPE_SELECT)
    
    class Meta: 
     verbose_name_plural = "Besoins avant Formation"

class  TechniquesP(models.Model):
    icon = models.CharField('Icon', max_length=20)
    texte = models.CharField('Texte', max_length=1500)
    TYPE_SELECT = (
        ('1', '1'),
        ('2', '2'),
        ('3', '3'),
        ('4', '4'),
        ('5', '5'),
        ('6', '6'),
        ('7', '7'),
        ('8', '8'),
        ('9', '9'),
        ('10', '10'),
    ) 
    rang = models.CharField(max_length=100,choices=TYPE_SELECT)
    
    class Meta: 
     verbose_name_plural = "Techniques pédagogiques 1 pendant la formation"
     
class  Techniques(models.Model):
    icon = models.CharField('Icon', max_length=20)
    texte = models.CharField('Texte', max_length=1500)
    TYPE_SELECT = (
        ('1', '1'),
        ('2', '2'),
        ('3', '3'),
        ('4', '4'),
        ('5', '5'),
        ('6', '6'),
        ('7', '7'),
        ('8', '8'),
        ('9', '9'),
        ('10', '10'),
    ) 
    rang = models.CharField(max_length=100,choices=TYPE_SELECT)
    
    class Meta: 
     verbose_name_plural = "Techniques pédagogiques 2 pendant la formation"
   
   
class Evenements(models.Model):
    titre = models.CharField('Titre', max_length=200)
    sous_titre = models.CharField('Sous-titre', max_length=200)
    description = models.CharField('Description', max_length=2500) 
    image = models.ImageField(upload_to='images/evenement', height_field=None, width_field=None, max_length=100 ) 
    date_created = models.DateField(verbose_name="Created on date", auto_now_add="True")

    class Meta: 
     verbose_name_plural = "Gestion des évènements"

    def __str__(self):
        return self.titre
    
class Mission(models.Model):
    icon = models.CharField('Icon', max_length=200)
    titre = models.CharField('Titre', max_length=200)
    description = models.CharField('Description', max_length=3500, null=True)
    class Meta: 
     verbose_name_plural = "Mission de HSN"
    
    def __str__(self):
        return self.titre
    
class Vision(models.Model):
    icon = models.CharField('Icon', max_length=200)
    
    titre = models.CharField('Titre', max_length=200)
    description = models.CharField('Description', max_length=3500, null=True)
    class Meta: 
     verbose_name_plural = "Vision de HSN"
    
    def __str__(self):
        return self.titre
    
class StrategieCabinet(models.Model): 
    icon = models.CharField('Icon', max_length=20)
    titre = models.CharField('Titre', max_length=100, null= True)
    texte = models.CharField('Texte', max_length=3500)
   
    
    class Meta: 
     verbose_name_plural = "Stratégie d’intervention"

class Methode(models.Model): 
    icon = models.CharField('Icon', max_length=20)
    texte = models.CharField('Texte', max_length=3500)
    TYPE_SELECT = (
        ('1', '1'),
        ('2', '2'),
        ('3', '3'),
        ('4', '4'),
        ('5', '5'),
        ('6', '6'),
        ('7', '7'),
        ('8', '8'),
        ('9', '9'),
        ('10', '10'),
    ) 
    rang = models.CharField(max_length=100,choices=TYPE_SELECT, null= True)
    
    class Meta: 
     verbose_name_plural = "Méthodes et outils de travail à la fin de chaque journée"

class Methode2(models.Model): 
    icon = models.CharField('Icon', max_length=20)
    texte = models.CharField('Texte', max_length=3500)
    TYPE_SELECT = (
        ('1', '1'),
        ('2', '2'),
        ('3', '3'),
        ('4', '4'),
        ('5', '5'),
        ('6', '6'),
        ('7', '7'),
        ('8', '8'),
        ('9', '9'),
        ('10', '10'),
    ) 
    rang = models.CharField(max_length=100,choices=TYPE_SELECT, null= True)
    
    class Meta: 
     verbose_name_plural = "Méthodes et outils de travail en début de chaque journée"

class Methode3(models.Model): 
    icon = models.CharField('Icon', max_length=20)
    texte = models.CharField('Texte', max_length=3500)
    TYPE_SELECT = (
        ('1', '1'),
        ('2', '2'),
        ('3', '3'),
        ('4', '4'),
        ('5', '5'),
        ('6', '6'),
        ('7', '7'),
        ('8', '8'),
        ('9', '9'),
        ('10', '10'),
    ) 
    rang = models.CharField(max_length=100,choices=TYPE_SELECT, null= True)
    
    class Meta: 
     verbose_name_plural = "Méthodes et outils de travail à la fin de la formation"


class ValeurCabinet(models.Model): 
    icon = models.CharField('Icon', max_length=20)
    titre = models.CharField('Titre', max_length=300)
    
   
    class Meta: 
     verbose_name_plural = "Valeurs de HSN"
     
class Modules(models.Model): 
    icon = models.CharField('Icon', max_length=20)
    titre = models.CharField('Titre', max_length=100)
    
    class Meta: 
     verbose_name_plural = "Modules de formation"

class Besoin(models.Model): 
    icon = models.CharField('Icon', max_length=20)
    besoin = models.CharField('Besoin', max_length=1500)
    TYPE_SELECT = (
        ('1', '1'),
        ('2', '2'),
        ('3', '3'),
        ('4', '4'),
        ('5', '5'),
        ('6', '6'),
        ('7', '7'),
        ('8', '8'),
        ('9', '9'),
        ('10', '10'),
    ) 
    rang = models.CharField(max_length=100,choices=TYPE_SELECT)
    
    class Meta: 
     verbose_name_plural = "Types de besoins de formation"
     
class Formation(models.Model): 
    icon = models.CharField('Icon', max_length=20)
    titre = models.CharField('Titre', max_length=100)
    texte = models.CharField('Texte', max_length=1500, null= True)
    texte1 = models.CharField('Texte en bas', max_length=1500, null= True)
    
    class Meta: 
     verbose_name_plural = "Formation"

class NosModules(models.Model): 
    icon = models.CharField('Icon', max_length=20)
    module = models.CharField('Module', max_length=1000, null= True)
    TYPE_SELECT = (
        ('1', '1'),
        ('2', '2'),
        ('3', '3'),
        ('4', '4'),
        ('5', '5'),
        ('6', '6'),
        ('7', '7'),
        ('8', '8'),
        ('9', '9'),
        ('10', '10'),
    ) 
    rang = models.CharField(max_length=100,choices=TYPE_SELECT)
   
    class Meta: 
     verbose_name_plural = "Nos modules"
     
class ActiviteStrategie(models.Model): 
    icon = models.CharField('Icon', max_length=20)
    texte = models.CharField('Texte', max_length=3500)
   
    
    class Meta: 
     verbose_name_plural = "Nos stratégies"
     
class NosValeurs(models.Model): 
    icon = models.CharField('Icon', max_length=20)
    texte = models.CharField('Texte', max_length=3500)
   
    
    class Meta: 
     verbose_name_plural = "Nos valeurs"

class NosEngagements(models.Model): 
    icon = models.CharField('Icon', max_length=20)
    texte = models.CharField('Texte', max_length=3500)
   
    
    class Meta: 
     verbose_name_plural = "Nos engagements"

class TextAccueil(models.Model): 
    titre = models.CharField('Titre', max_length=2500)
    devise = models.CharField('Devise', max_length=1500)
    description = models.CharField('description', max_length=1500)
    
    class Meta: 
     verbose_name_plural = "Gestion des textes de Accueil"
    
    def __str__(self):
        return self.titre

class InfoEntreprise(models.Model): 
    mail = models.CharField('E-mail', max_length=100)
    telephone = models.CharField('Télephone', max_length=50)
    pays = models.CharField('pays', max_length=15)
    ville = models.CharField('Ville', max_length=20)
    commune = models.CharField('Commune', max_length=20)
    quartier = models.CharField('Quartier', max_length=20)
    geolocalisation = models.CharField('Geolocalisation', max_length=1500)
    
    class Meta: 
     verbose_name_plural = "Gestion des infos de HSN"
    
    def __str__(self):
        return self.ville
    
class TextContact(models.Model): 
    titre = models.CharField('Titre', max_length=100)
    texte = models.CharField('Texte', max_length=1500)
    
    class Meta: 
     verbose_name_plural = "Gestion des textes de Contact"
    
    def __str__(self):
        return self.titre

class ReseauxSociaux(models.Model): 
    lien = models.CharField('Lien', max_length=1500)
    classe = models.CharField('classe', max_length=20)
    icon = models.CharField('icon', max_length=20)
    
    class Meta: 
     verbose_name_plural = "Réseaux sociaux"
    
    def __str__(self):
        return self.classe
    
class Topo(models.Model): 
    domaine = models.CharField('Domaine', max_length=1500)
    icon = models.CharField('Icon', max_length=20)
    TYPE_SELECT = (
        ('1', '1'),
        ('2', '2'),
        ('3', '3'),
        ('4', '4'),
        ('5', '5'),
        ('6', '6'),
        ('7', '7'),
    ) 
    rang = models.CharField(max_length=100,choices=TYPE_SELECT, null=True)
    
    class Meta: 
     verbose_name_plural = "Domaines de Topographie et Cartographie-SIG"
    
    def __str__(self):
        return self.domaine
    
class Engagement(models.Model): 
    icon = models.CharField('Icon', max_length=20)
    titre = models.CharField('Titre', max_length=20)
    
    class Meta: 
     verbose_name_plural = "Engagements HSN"
     
class Topo_carto(models.Model): 
    texte = models.CharField('Texte', max_length=2000)
    
    class Meta: 
     verbose_name_plural = "Texte de Topographie et Cartographie-SIG"
    

class Photogram(models.Model): 
    domaine = models.CharField('Domaine', max_length=1500)
    icon = models.CharField('Icon', max_length=20)
    TYPE_SELECT = (
        ('1', '1'),
        ('2', '2'),
        ('3', '3'),
        ('4', '4'),
        ('5', '5'),
        ('6', '6'),
        ('7', '7'),
    ) 
    rang = models.CharField(max_length=100,choices=TYPE_SELECT, null=True)
    
    class Meta: 
     verbose_name_plural = "Domaines de Photogrammétrie par drone"
    
    def __str__(self):
        return self.domaine

class Elaboration(models.Model): 
    domaine = models.CharField('Domaine', max_length=1500)
    icon = models.CharField('Icon', max_length=20)
    TYPE_SELECT = (
        ('1', '1'),
        ('2', '2'),
        ('3', '3'),
        ('4', '4'),
        ('5', '5'),
        ('6', '6'),
        ('7', '7'),
    ) 
    rang = models.CharField(max_length=100,choices=TYPE_SELECT, null=True)
    
    class Meta: 
     verbose_name_plural = "Domaines de Elaboration de solutions numériques"
    
    def __str__(self):
        return self.domaine